Subject: [bug#72406] [PATCH emacs-team WIP v4 03/24] build-system: emacs: Define common variants.

From: Simon Tournier <[email-masked]>
Date: Tue, 03 Sep 2024 17:39:37 +0200

Re,

On Tue, 03 Sep 2024 at 17:21, Simon Tournier <[email-masked]> wrote:
> On Sun, 11 Aug 2024 at 14:58, Liliana Marie Prikler <[email-masked]> wrote:
>
>> +(define package-with-emacs-minimal
>> +  (package-with-explicit-emacs (delay (resolve-emacs 'emacs-minimal))
>> +                               "emacs-" "emacs-minimal-"
>> +                               #:variant-property 'emacs-minimal-variant))
>
> [...]
>
>> +;; We prefer emacs-minimal, but sometimes the "minimal" variant still needs
>> +;; X support.
>> +(define package-with-emacs-no-x-toolkit
>> +  (package-with-explicit-emacs (delay (resolve-emacs 'emacs-no-x-toolkit))
>> +                               "emacs-" "emacs-no-x-toolkit-"))
>
> I am not convince these are useful.  Why do I want to transform Emacs
> packages for “compiling” them with the default Emacs “compiler”.

Ah wait. :-) PATCH 02/24 “build-system: emacs: Make emacs the default
variant.” change emacs-minimal to emacs as the default “compiler”.

So I change my mind and they are indeed useful.

Cheers,
simon